Subject: Re: [PATCH v2] 3c59x: fix PCI resource management

From: Sergei Shtylyov <[email-masked]>
Date: Sun, 19 May 2013 23:36:09 +0400

Hello.

On 05/06/2013 10:23 PM, Sergei Shtylyov wrote:

>
>>>>> @@ -1215,12 +1217,13 @@ static int vortex_probe1(struct device *
>>>>>        vp->mii.reg_num_mask = 0x1f;
>>>>>
>>>>>        /* Makes sure rings are at least 16 byte aligned. */
>>>>> -    vp->rx_ring = pci_alloc_consistent(pdev, sizeof(struct 
>>>>> boom_rx_desc) *
>>>>> -    RX_RING_SIZE
>>>>> -                       + sizeof(struct boom_tx_desc) * TX_RING_SIZE,
>>>>> -                       &vp->rx_ring_dma);
>>>>> +    vp->rx_ring = pci_alloc_consistent(pdev,
>>>>> + sizeof(struct boom_rx_desc) * RX_RING_SIZE +
>>>>> + sizeof(struct boom_tx_desc) * TX_RING_SIZE,
>>>>> +                &vp->rx_ring_dma);
>
>>>> This code was properly indented before your changes, but it isn't
>>>> afterwards.
>
>>>     David, that's not my change, it's was Andrew Morton who changed 
>>> that
>>>     (in order not to cross 80 columns).
>
>> Ok, whoever submits this next needs to undo that.
>
>     How about I completely drop this change (and maybe deal with it in 
> a subsequent cleanup patch)?

    It appears I had fixes for only a small part of 
scripts/checkpatch.pl complaints
in this driver:

total: 114 errors, 428 warnings, 3327 lines checked

NOTE: whitespace errors detected, you may wish to use scripts/cleanpatch or
       scripts/cleanfile

    I guess you don't need me to clean up the coding style in such an 
old driver,
and I don't want to spend time on it either. So I'm going to let the lot 
of overly
long lines in the driver live forever. :-)

WBR, Sergei